function mah(a,b,d,e){wGd.call(this,a,b,d);this.a=e}
function tah(){var a;a=new Qrg(5);Tr((cgd(),a.gb),false);return a}
function Tgh(a){var b;if(!a.g){b=new uah((y1i(dee(a.a)),woj(fee(a.a))));a.g=b}return a.g}
function Sgh(a){var b;if(!a.f){b=new mah(GFd(zce(a.a)),Tgh(a),Rgh(a),AMg(tde(a.a)));SFd((Ace(a.a),b),PGd(Ace(a.a)));a.f=b}return a.f}
function uah(){bAf.call(this,e3b,UVd((H5g(),D5g),sM(e2c,Mxj,237,[G5g])));this.a=new Q5g(e3b,this);this.o="Distributed query engine, that parses, plans and excutes user's SQL commands and provides results"}
E3c(4514,1013,Pyj,mah);_.Zi=function(){this.A.Cr()};_.bj=function(){Gvf(this.a,this)};E3c(4517,2874,Qzj,uah);_.Ch=function(){return Uzf(this)};_.zr=function(){return this.a};_.Ar=function(){return P6j};_.Er=function(){return null};_.Hr=function(){var a;a=new P3g(this,P6j,Wzf(this,null),this.k,this.s);return new _3g(this,P6j,null,tah(),a,this.s)};_.Ir=function(){return tah()};E3c(4587,1,vzj);_.ud=function(){oHd(this.b,Sgh(this.a.a))};var $1b=iOd(4514),_1b=iOd(4517);hAj(np)(17);